# LanEntities

## Properties

|Name | Type | Description | Notes|
|------------ | ------------- | ------------- | -------------|
|**Nics** | Pointer to [**LanNics**](LanNics.md) |  | [optional] |

## Methods

### NewLanEntities

`func NewLanEntities() *LanEntities`

NewLanEntities instantiates a new LanEntities object
This constructor will assign default values to properties that have it defined,
and makes sure properties required by API are set, but the set of arguments
will change when the set of required properties is changed

### NewLanEntitiesWithDefaults

`func NewLanEntitiesWithDefaults() *LanEntities`

NewLanEntitiesWithDefaults instantiates a new LanEntities object
This constructor will only assign default values to properties that have it defined,
but it doesn't guarantee that properties required by API are set

### GetNics

`func (o *LanEntities) GetNics() LanNics`

GetNics returns the Nics field if non-nil, zero value otherwise.

### GetNicsOk

`func (o *LanEntities) GetNicsOk() (*LanNics, bool)`

GetNicsOk returns a tuple with the Nics field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### SetNics

`func (o *LanEntities) SetNics(v LanNics)`

SetNics sets Nics field to given value.

### HasNics

`func (o *LanEntities) HasNics() bool`

HasNics returns a boolean if a field has been set.



